%global rtlastrev changeset:1674:69b8bd8bb944
%global rtlasttag Latest-tag:4.0.6,CSet:1674:69b8bd8bb944

Name:		rawtherapee
Version:	4.0.7
Release:	%mkrel 3
Summary:	Raw image processing software

Group:		Graphics/Utilities
License:	GPLv3 and MIT and IJG
URL:		http://www.rawtherapee.com/
# Downloaded by checking out the revision corresponding to the release
# hg clone -r 185235a4e79a https://code.google.com/p/rawtherapee/
# cd rawtherapee
# hg archive rawtherapee-4.0.7-stripped.tar.bz2
Source0:	%{name}-%{version}-stripped.tar.bz2
Source1:	%{name}.desktop
Source2:	rawtherapee-icons-3.0.1.tar

BuildRequires:	cmake >= 2.6
BuildRequires:	bzip2-devel
BuildRequires:	mercurial
BuildRequires:	lcms2-devel
BuildRequires:	gtk2-devel >= 2.12
BuildRequires:	gtkmm2.4-devel
BuildRequires:	lcms-devel  libjpeg-devel libtiff-devel
BuildRequires:	libpng-devel libiptcdata-devel desktop-file-utils
Patch0:		libpng1_5_rawthe.patch
Patch1:		rawtherapee-4.0.7-link.patch
Requires:	hicolor-icon-theme

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0 -b .link

# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt

# Do not move LICENSE.txt and AUTHORS.txt in bindir
sed -i "s|install (FILES AUTHOR.*$||" CMakeLists.txt

# Do not install useless rtstart:
sed -i "s|install (PROGRAMS rtstart|\#install (PROGRAMS rtstart|" CMakeLists.txt

# Tell version
cat > rtgui/version.h << EOF
#ifndef _VERSION_
#define _VERSION_

#define VERSION "%{rtlastrev} %{rtlasttag}"
#define TAGDISTANCE %{rtdist}
#define CACHEFOLDERNAME "RawTherapee${CACHE_NAME_SUFFIX}"
#endif
EOF

cat > AboutThisBuild.txt << EOF
See package informations
EOF

%build
%cmake -DAUTOMATED_BUILD_SYSTEM:BOOL=ON -DBUILD_SHARED_LIBS:BOOL=OFF
%make

%install
%makeinstall_std -C build

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ %{SOURCE1}

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee

%files
%doc AUTHORS.txt LICENSE.txt COMPILE.txt RELEASE_NOTES.txt
%{_bindir}/rawtherapee
%{_datadir}/rawtherapee
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png


%changelog

* Thu Jan 24 2013 fwang <fwang> 4.0.7-3.mga3
+ Revision: 391939
- disable shared build
- build static lib
- more linkage
- link against giomm
- build verbose
- br bzip2
- build verbose
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 malo <malo> 4.0.7-1.mga2
+ Revision: 204276
- use %%mkrel
- change group to graphics
- Stripped archive from mercurial information.
- Update to 4.0.7
- spec clean-up after import from Mandriva (thanks to Alexander Barakin)
- imported package rawtherapee

